package com.redxun.knowledge.album.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 文件名: AlbumApprovalRemark
 * 作者: Zizg
 * 时间: 2023/2/7
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("审核结论Dto")
@Data
public class AlbumApprovalRemarkDto implements Serializable {

    @NotEmpty(message = "审核记录Id不能为空")
    @ApiModelProperty("审核记录Id")
    private List<String> pkIds;

    @NotNull(message = "审核结果不能为空")
    @ApiModelProperty("审核结果 0-不通过  1-通过")
    private Integer result;

    @ApiModelProperty("审核意见")
    private String remark;
}
