package com.redxun.knowledge.map.mapper;


import com.redxun.common.base.db.BaseDao;
import com.redxun.knowledge.map.entity.dao.MapContent;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* 业务--知识地图学习内容表数据库访问层
*/
@Mapper
public interface MapContentMapper extends BaseDao<MapContent> {

    /**
     * 根据路径删除数据
     * @param pkId
     */
    void deleteByRouteId(String pkId);

    /**
     * 根据路径查询学习内容(不包含被删除的知识的内容)
     * @param routeId
     * @return
     */
    List<MapContent> findAllMapContent(String routeId);
}
